$packageName = "alacritty.install"
$oldInstallDir = Join-Path $(Get-ToolsLocation) "alacritty"

$preexisting = Test-Path -Path $oldInstallDir -PathType Container
if ($preexisting) {
	Write-Host -ForegroundColor yellow "WARNING: Alacritty Portable detected."
	Write-Host -ForegroundColor yellow "If you installed a previous version of this package the semantics have changed."
	Write-Host -ForegroundColor yellow "This is now a install package, and will install the MSI version of this software instead."
	Write-Host -ForegroundColor yellow "If you are OK with this, or installed portable through your own means, ignore this message."
	Write-Host -ForegroundColor yellow "Otherwise you should delete the files at $oldInstallDir to prevent conflicts in the future."
}

$ErrorActionPreference = 'Stop'
$toolsPath = Split-Path $MyInvocation.MyCommand.Definition
 
$packageArgs = @{
    PackageName    = $packageName
    FileType       = "msi"
    SoftwareName   = "Alacritty"
    Url64bit       = "https://github.com/alacritty/alacritty/releases/download/v0.5.0/Alacritty-v0.5.0-windows-installer.msi"
	Checksum64     = "ca14620672a3b1447540ba9a14597e3f0be3374207bfdabc333923bc25a8695fcbbe037102f791f8dc63f838ee78e1894905129909fc2747d1f84dc5cbdbbc25"
	ChecksumType64 = "sha512"
    SilentArgs     = "/qn /norestart"
    ValidExitCodes = @(0, 3010, 1641)
}
Install-ChocolateyPackage @packageArgs